incubator-jspwiki-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Janne Jalkanen <Janne.Jalka...@ecyrd.com>
Subject Re: JSPWiki 2.8.0-alpha-1 available.
Date Tue, 01 Jul 2008 05:58:50 GMT

Excellent - thanks!  Just a couple of observations (I know, I could  
check them in too, but I want to run them past you guys first):

* Defaultprefs copying not needed - there are *no* defaultprefs in  
the current properties file (thanks to ini/jspwiki_default.properties)
* I don't know whether we need to mention the ones which are  
defaulting to sane values.
* There are two sections for deployers ;-)

Otherwise it's looking good.  We should remove the upgrade  
instructions from ReleaseNotes.

/Janne

On 1 Jul 2008, at 02:41, Andrew Jaquith wrote:

> I've checked in a root-level document called UPGRADING (available  
> in SVN) that summarizes what deployers must do to upgrade from 2.6  
> to 2.0. I have not really looked at the JSP-tier stuff at all. I  
> haven't diffed against 2.4 yet, but I will at least take a whack at  
> the deployment issues.
>
> Andrew
>
> On Jun 30, 2008, at 5:40 PM, Andrew Jaquith wrote:
>
>> Did the API diff earlier today. If I knew what to change in  
>> Release.java now that we are alpha, I'd check in the Ant task that  
>> does the API diffing right now... :)
>>
>> Janne, what do I change in order to check in post-alpha stuff?
>>
>> On Jun 30, 2008, at 5:25 PM, Janne Jalkanen wrote:
>>
>>>
>>> On Jul 1, 2008, at 00:13 , Murray Altheim wrote:
>>>
>>>> Janne Jalkanen wrote:
>>>>> It's done.  JSPWiki 2.8.0-alpha-1 is now available at http:// 
>>>>> www.jspwiki.org/wiki/JSPWikiDownload, and also under the  
>>>>> jspwiki_2_8_0_alpha_1.
>>>>
>>>> Code-wise, is this (at this point) an exact match for an existing
>>>> package, e.g., 2.6.3? IOW, if one were to substitute 2.8.0-alpha-1
>>>> things wouldn't break except for package name changes?
>>>>
>>>> If so this would be a good time for me to begin converting all my
>>>> plugins.
>>>
>>> Not even that - we're still under com.ecyrd.jspwiki.  Let's break  
>>> everything in one go in 3.0...
>>>
>>> I *think* 2.6 and 2.8 should be fully API compatible.
>>>
>>> /Janne
>>


Mime
View raw message